org.keycloak.models.sessions.infinispan.changes

## Class UserSessionUpdateTask

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.changes.UserSessionUpdateTask

- All Implemented Interfaces:
    SessionUpdateTask<UserSessionEntity>

      public abstract class UserSessionUpdateTask
      extends Object
      implements SessionUpdateTask<UserSessionEntity>

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.sessions.infinispan.changes.SessionUpdateTask

      `SessionUpdateTask.CacheOperation, SessionUpdateTask.CrossDCMessageStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionUpdateTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionUpdateTask.CrossDCMessageStatus` | `getCrossDCMessageStatus(SessionEntityWrapper<UserSessionEntity> sessionWrapper)`
    `SessionUpdateTask.CacheOperation` | `getOperation(UserSessionEntity session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.sessions.infinispan.changes.SessionUpdateTask

      `getLifespanMs, runUpdate`

- - ### Constructor Detail

    - #### UserSessionUpdateTask

          public UserSessionUpdateTask()

  - ### Method Detail

    - #### getOperation

          public SessionUpdateTask.CacheOperation getOperation(UserSessionEntity session)

      Specified by:
        `getOperation` in interface `SessionUpdateTask<UserSessionEntity>`

    - #### getCrossDCMessageStatus

          public SessionUpdateTask.CrossDCMessageStatus getCrossDCMessageStatus(SessionEntityWrapper<UserSessionEntity> sessionWrapper)

      Specified by:
        `getCrossDCMessageStatus` in interface `SessionUpdateTask<UserSessionEntity>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.